## ?q=aHR0cHM6Ly9HaXRodWIuY29tL2tkcnlwci9NSVNQL2FyY2hpdmUvcmVmcy90YWdzL3YyLjQuMTU3LnppcA

=== requirements.txt ===
pyzmq
coveralls
codecov
stix
pymisp
requests-mock
pip
nose
jsonschema
plyara >= 2.0.2

=== app/Makefile ===

.PHONY: check-style check-style-ci
.PHONY: check-cpd check-cpd-ci
.PHONY: check-js check-js-ci
.PHONY: check-all-ci

# Both these command exit non-0 when any violations occur
# We want to ignore that so we can get all the results in jenkins
.IGNORE: check-style-ci check-cpd-ci

check-style:
	phpcs --standard=CakePHP --extensions=php,ctp -p ./

check-style-ci:
	phpcs --standard=CakePHP \
		--extensions=php,ctp -p --report=checkstyle \
		--report-file=build/checkstyle.xml ./

check-cpd:
	phpcpd --min-lines 3 --min-tokens 50 --names *.php ./

check-cpd-ci:
	phpcpd --min-lines 3 --min-tokens 50 \
		--names *.php --log-pmd build/pmd.xml ./

check-js:
	#jshint webroot/js --config app/Config/jshint.json

check-all-ci: check-style-ci check-cpd-ci check-js

=== debian/changelog ===
misp (2.4.125-1) UNRELEASED; urgency=low

  * Bump to release 2.4.125

 -- Sebastien Tricaud <sebastien.tricaud@devo.com>  Fri, 1 May 2020 17:32:05 -0800

misp (2.4.123-1) UNRELEASED; urgency=low

  * Bump to release 2.4.123

 -- Sebastien Tricaud <sebastien.tricaud@devo.com>  Thu, 24 Mar 2020 11:10:19 -0800

misp (2.4.122-1) UNRELEASED; urgency=low

  * Bump to release 2.4.122

 -- Sebastien Tricaud <sebastien.tricaud@devo.com>  Wed, 12 Feb 2020 14:44:35 -0800

misp (2.4.121-1) UNRELEASED; urgency=low

  * First package of MISP

 -- Sebastien Tricaud <sebastien.tricaud@devo.com>  Wed, 29 Jan 2020 16:32:33 -0800

=== debian/control ===
Source: misp
Maintainer: Sebastien Tricaud <sebastien.tricaud@devo.com>
Section: Web
Priority: optional
Standards-Version: 2.4.221
Build-Depends: debhelper (>= 11), dh-apache2
Homepage: http://misp.software
Vcs-Browser: https://github.com/misp/misp
Vcs-Git: https://github.com/MISP/MISP.git

Package: misp
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libapache2-mod-php | php-cgi | php,
	 ca-certificates,
	 python3,
	 python3-setuptools,
	 python3-wheel,
	 composer,
	 mariadb-client,
	 openssl,
	 zip,
	 unzip,
	 moreutils,
	 php-mysql,
	 php-pear,
	 php-redis,
	 php-gd,
	 php-gnupg,
	 php-json,
	 php-xml,
	 php-readline,
	 php-mbstring,
	 php7.3-opcache,
	 libfuzzy-dev,
	 ${misc:Depends}
Recommends: ${misc:Recommends}, redis-server, mariadb-server
Description: Threat Intelligence Platform
 The MISP threat sharing platform is a free and open source software helping
 information sharing of threat intelligence including cyber security indicators.
 .
 A threat intelligence platform for gathering, sharing, storing and correlating
 Indicators of Compromise of targeted attacks, threat intelligence, financial
 fraud information, vulnerability information or even counter-terrorism
 information.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with apache2

override_dh_auto_install:
	dh_auto_build
